Skip to main content
GET
/
api
/
v1
/
campaign
/
email-open-events
Email Open Events
curl --request GET \
  --url https://staging.api.deliveryman.ai/api/v1/campaign/email-open-events/ \
  --header 'X-Api-Key: <api-key>'
{
  "data": {
    "schedule_id": 123,
    "opened_on": "2023-11-07T05:31:56Z"
  },
  "total": 1
}

Authorizations

X-Api-Key
string
header
required

Enter your API key in the format: X-Api-Key <your_key>

Query Parameters

campaign_uid
string
required

UID of campaign to fetch open events from.

limit
integer
required

Maximum number of records to fetch in the current page. Must be between 1 and 100.

Required range: 1 <= x <= 100
offset
integer
required

Number of records to skip before fetching the results.For example, an offset of 0 starts at the beginning, while an offset of 50 fetches records starting from the 51st. If offset is greater than number of records available, results will be empty.

Required range: x >= 0

Response

Success

data
object
required

List of email open events.

total
integer
required

Total number of email open events available in this campaign.

Required range: x >= 0